본문으로 건너뛰기
Twexapi
한국어
Esc
↑↓이동↵열기⌘J미리보기

대신 작업할 수 있는 계정 조회

cookie로 지정한 계정이 대신 작업할 수 있는 계정, 즉 자신의 그룹을 제외한 위임 그룹을 조회합니다. 게시물을 작성할 때 반환된 screen_name 중 하나를 delegated_account_username으로 전달하면 해당 계정으로 게시할 수 있습니다. 결과가 없으면 빈 배열을 반환합니다. TwexAPI Bearer 키와 해당 계정의 유효한 X Cookie 또는 auth_token이 필요합니다.

API 참조로 돌아가기
/Delegate Endpoints
POST/twitter/delegate/accounts
API 인증
AuthorizationBearer token · header필수
TwexAPI 전역 인증 토큰 (Bearer Token). 헤더에 포함되어야 합니다: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
요청 본문
필수application/json
cookiestring필수
Authorized X session cookie or auth_token for the account the call acts for. Required in addition to the TwexAPI Bearer key.
min length 1
proxystring | any
속성 표시
Any of:
string
string
any
any
응답
200Success
codeinteger필수
msgstring필수
dataDelegateAccount[]필수
속성 표시
Array of DelegateAccount
user_idstring필수
screen_namestring필수
namestring필수
avatarstring | any필수
Profile image URL.
속성 표시
Any of:
string
string
any
any
rolestring | any필수
Owner, Admin or Contributor.
속성 표시
Any of:
string
string
any
any
403Authentication or credit access denied
codeinteger필수
msgstring필수
dataany[] | any필수
속성 표시
Any of:
any[]
Array of any
any
any
any
422Invalid request
codeinteger필수
msgstring필수
dataany[] | any필수
속성 표시
Any of:
any[]
Array of any
any
any
any
500Upstream or server error
codeinteger필수
msgstring필수
dataany[] | any필수
속성 표시
Any of:
any[]
Array of any
any
any
any
⚡대화형 콘솔POST
⚡대화형 콘솔 / API 테스트POST
Live Console
🌐대상 서버:https://api.twexapi.io
● 프로덕션 준비 완료
✍️
쓰기 작업 인증 정보 가이드 (TwexAPI 키 + Twitter 쿠키)

1. TwexAPI 플랫폼 키 (Bearer Token): 요청 과금 및 인증을 위해 아래 "API 인증"에 입력하세요.

2. Twitter 계정 쿠키: 트윗, 좋아요, 팔로우 등 쓰기 작업을 위해 아래 요청 본문의 cookie 필드에 쿠키(예: auth_token=...; ct0=...)를 입력하세요.

🔑API 인증
📝요청 본문application/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

요청 예시
curl -X POST "https://api.twexapi.io/twitter/delegate/accounts" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
}'
응답 예시
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "user_id": "1234567890123456789",
      "screen_name": "example_brand",
      "name": "Example Brand",
      "avatar": "https://pbs.twimg.com/profile_images/brand_normal.jpg",
      "role": "Contributor"
    }
  ]
}